#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE8,0xCA,0xC4,0xDE,0x52,0xEA,0xE4,0x16,0xAC,0x29,0xA8,0x86,
		0x42,0x1F,0x5D,0x3F,0x86,0xAB,0xB6,0x4D,0x02,0x31,0x9F,0x92,
		0x98,0x68,0x69,0x2A,0x7A,0xD4,0xEB,0xF6,0xF4,0xA9,0x92,0x08,
		0xF4,0x0A,0x1A,0x12,0x03,0x38,0xDC,0x8A,0xFD,0xB3,0xEF,0x4A,
		0x0B,0x0C,0x32,0x38,0xF6,0x83,0x5D,0xDD,0xF3,0xC1,0x56,0x06,
		0x51,0x8A,0x09,0xD3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
